# Enum rustc_codegen_ssa::errors::InvalidMonomorphization

source ·

    pub enum InvalidMonomorphization<'tcx> {
    Show 38 variants    BasicIntegerType {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        BasicFloatType {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        FloatToIntUnchecked {
            span: Span,
            ty: Ty<'tcx>,
        },
        FloatingPointVector {
            span: Span,
            name: Symbol,
            f_ty: FloatTy,
            in_ty: Ty<'tcx>,
        },
        FloatingPointType {
            span: Span,
            name: Symbol,
            in_ty: Ty<'tcx>,
        },
        UnrecognizedIntrinsic {
            span: Span,
            name: Symbol,
        },
        SimdArgument {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        SimdInput {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        SimdFirst {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        SimdSecond {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        SimdThird {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        SimdReturn {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        InvalidBitmask {
            span: Span,
            name: Symbol,
            mask_ty: Ty<'tcx>,
            expected_int_bits: u64,
            expected_bytes: u64,
        },
        ReturnLengthInputType {
            span: Span,
            name: Symbol,
            in_len: u64,
            in_ty: Ty<'tcx>,
            ret_ty: Ty<'tcx>,
            out_len: u64,
        },
        SecondArgumentLength {
            span: Span,
            name: Symbol,
            in_len: u64,
            in_ty: Ty<'tcx>,
            arg_ty: Ty<'tcx>,
            out_len: u64,
        },
        ThirdArgumentLength {
            span: Span,
            name: Symbol,
            in_len: u64,
            in_ty: Ty<'tcx>,
            arg_ty: Ty<'tcx>,
            out_len: u64,
        },
        ReturnIntegerType {
            span: Span,
            name: Symbol,
            ret_ty: Ty<'tcx>,
            out_ty: Ty<'tcx>,
        },
        SimdShuffle {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        ReturnLength {
            span: Span,
            name: Symbol,
            in_len: u64,
            ret_ty: Ty<'tcx>,
            out_len: u64,
        },
        ReturnElement {
            span: Span,
            name: Symbol,
            in_elem: Ty<'tcx>,
            in_ty: Ty<'tcx>,
            ret_ty: Ty<'tcx>,
            out_ty: Ty<'tcx>,
        },
        SimdIndexOutOfBounds {
            span: Span,
            name: Symbol,
            arg_idx: u64,
            total_len: u128,
        },
        InsertedType {
            span: Span,
            name: Symbol,
            in_elem: Ty<'tcx>,
            in_ty: Ty<'tcx>,
            out_ty: Ty<'tcx>,
        },
        ReturnType {
            span: Span,
            name: Symbol,
            in_elem: Ty<'tcx>,
            in_ty: Ty<'tcx>,
            ret_ty: Ty<'tcx>,
        },
        ExpectedReturnType {
            span: Span,
            name: Symbol,
            in_ty: Ty<'tcx>,
            ret_ty: Ty<'tcx>,
        },
        MismatchedLengths {
            span: Span,
            name: Symbol,
            m_len: u64,
            v_len: u64,
        },
        MaskType {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        VectorArgument {
            span: Span,
            name: Symbol,
            in_ty: Ty<'tcx>,
            in_elem: Ty<'tcx>,
        },
        CannotReturn {
            span: Span,
            name: Symbol,
            ret_ty: Ty<'tcx>,
            expected_int_bits: u64,
            expected_bytes: u64,
        },
        ExpectedElementType {
            span: Span,
            name: Symbol,
            expected_element: Ty<'tcx>,
            second_arg: Ty<'tcx>,
            in_elem: Ty<'tcx>,
            in_ty: Ty<'tcx>,
            mutability: ExpectedPointerMutability,
        },
        ThirdArgElementType {
            span: Span,
            name: Symbol,
            expected_element: Ty<'tcx>,
            third_arg: Ty<'tcx>,
        },
        UnsupportedSymbolOfSize {
            span: Span,
            name: Symbol,
            symbol: Symbol,
            in_ty: Ty<'tcx>,
            in_elem: Ty<'tcx>,
            size: u64,
            ret_ty: Ty<'tcx>,
        },
        UnsupportedSymbol {
            span: Span,
            name: Symbol,
            symbol: Symbol,
            in_ty: Ty<'tcx>,
            in_elem: Ty<'tcx>,
            ret_ty: Ty<'tcx>,
        },
        CastFatPointer {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        ExpectedPointer {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        ExpectedUsize {
            span: Span,
            name: Symbol,
            ty: Ty<'tcx>,
        },
        UnsupportedCast {
            span: Span,
            name: Symbol,
            in_ty: Ty<'tcx>,
            in_elem: Ty<'tcx>,
            ret_ty: Ty<'tcx>,
            out_elem: Ty<'tcx>,
        },
        UnsupportedOperation {
            span: Span,
            name: Symbol,
            in_ty: Ty<'tcx>,
            in_elem: Ty<'tcx>,
        },
        ExpectedVectorElementType {
            span: Span,
            name: Symbol,
            expected_element: Ty<'tcx>,
            vector_type: Ty<'tcx>,
        },
    }

## Variants§

§

### BasicIntegerType

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### BasicFloatType

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### FloatToIntUnchecked

#### Fields

§`span: Span`
§`ty: Ty<'tcx>`
§

### FloatingPointVector

#### Fields

§`span: Span`
§`name: Symbol`
§`f_ty: FloatTy`
§`in_ty: Ty<'tcx>`
§

### FloatingPointType

#### Fields

§`span: Span`
§`name: Symbol`
§`in_ty: Ty<'tcx>`
§

### UnrecognizedIntrinsic

#### Fields

§`span: Span`
§`name: Symbol`
§

### SimdArgument

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### SimdInput

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### SimdFirst

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### SimdSecond

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### SimdThird

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### SimdReturn

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### InvalidBitmask

#### Fields

§`span: Span`
§`name: Symbol`
§`mask_ty: Ty<'tcx>`
§`expected_int_bits: u64`
§`expected_bytes: u64`
§

### ReturnLengthInputType

#### Fields

§`span: Span`
§`name: Symbol`
§`in_len: u64`
§`in_ty: Ty<'tcx>`
§`ret_ty: Ty<'tcx>`
§`out_len: u64`
§

### SecondArgumentLength

#### Fields

§`span: Span`
§`name: Symbol`
§`in_len: u64`
§`in_ty: Ty<'tcx>`
§`arg_ty: Ty<'tcx>`
§`out_len: u64`
§

### ThirdArgumentLength

#### Fields

§`span: Span`
§`name: Symbol`
§`in_len: u64`
§`in_ty: Ty<'tcx>`
§`arg_ty: Ty<'tcx>`
§`out_len: u64`
§

### ReturnIntegerType

#### Fields

§`span: Span`
§`name: Symbol`
§`ret_ty: Ty<'tcx>`
§`out_ty: Ty<'tcx>`
§

### SimdShuffle

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### ReturnLength

#### Fields

§`span: Span`
§`name: Symbol`
§`in_len: u64`
§`ret_ty: Ty<'tcx>`
§`out_len: u64`
§

### ReturnElement

#### Fields

§`span: Span`
§`name: Symbol`
§`in_elem: Ty<'tcx>`
§`in_ty: Ty<'tcx>`
§`ret_ty: Ty<'tcx>`
§`out_ty: Ty<'tcx>`
§

### SimdIndexOutOfBounds

#### Fields

§`span: Span`
§`name: Symbol`
§`arg_idx: u64`
§`total_len: u128`
§

### InsertedType

#### Fields

§`span: Span`
§`name: Symbol`
§`in_elem: Ty<'tcx>`
§`in_ty: Ty<'tcx>`
§`out_ty: Ty<'tcx>`
§

### ReturnType

#### Fields

§`span: Span`
§`name: Symbol`
§`in_elem: Ty<'tcx>`
§`in_ty: Ty<'tcx>`
§`ret_ty: Ty<'tcx>`
§

### ExpectedReturnType

#### Fields

§`span: Span`
§`name: Symbol`
§`in_ty: Ty<'tcx>`
§`ret_ty: Ty<'tcx>`
§

### MismatchedLengths

#### Fields

§`span: Span`
§`name: Symbol`
§`m_len: u64`
§`v_len: u64`
§

### MaskType

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### VectorArgument

#### Fields

§`span: Span`
§`name: Symbol`
§`in_ty: Ty<'tcx>`
§`in_elem: Ty<'tcx>`
§

### CannotReturn

#### Fields

§`span: Span`
§`name: Symbol`
§`ret_ty: Ty<'tcx>`
§`expected_int_bits: u64`
§`expected_bytes: u64`
§

### ExpectedElementType

#### Fields

§`span: Span`
§`name: Symbol`
§`expected_element: Ty<'tcx>`
§`second_arg: Ty<'tcx>`
§`in_elem: Ty<'tcx>`
§`in_ty: Ty<'tcx>`
§`mutability: ExpectedPointerMutability`
§

### ThirdArgElementType

#### Fields

§`span: Span`
§`name: Symbol`
§`expected_element: Ty<'tcx>`
§`third_arg: Ty<'tcx>`
§

### UnsupportedSymbolOfSize

#### Fields

§`span: Span`
§`name: Symbol`
§`symbol: Symbol`
§`in_ty: Ty<'tcx>`
§`in_elem: Ty<'tcx>`
§`size: u64`
§`ret_ty: Ty<'tcx>`
§

### UnsupportedSymbol

#### Fields

§`span: Span`
§`name: Symbol`
§`symbol: Symbol`
§`in_ty: Ty<'tcx>`
§`in_elem: Ty<'tcx>`
§`ret_ty: Ty<'tcx>`
§

### CastFatPointer

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### ExpectedPointer

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### ExpectedUsize

#### Fields

§`span: Span`
§`name: Symbol`
§`ty: Ty<'tcx>`
§

### UnsupportedCast

#### Fields

§`span: Span`
§`name: Symbol`
§`in_ty: Ty<'tcx>`
§`in_elem: Ty<'tcx>`
§`ret_ty: Ty<'tcx>`
§`out_elem: Ty<'tcx>`
§

### UnsupportedOperation

#### Fields

§`span: Span`
§`name: Symbol`
§`in_ty: Ty<'tcx>`
§`in_elem: Ty<'tcx>`
§

### ExpectedVectorElementType

#### Fields

§`span: Span`
§`name: Symbol`
§`expected_element: Ty<'tcx>`
§`vector_type: Ty<'tcx>`

## Trait Implementations§

source§

### impl<'_sess, 'tcx, G> Diagnostic<'_sess, G> for InvalidMonomorphization<'tcx>
where G: EmissionGuarantee,

source§

#### fn into_diag(self, dcx: &'_sess DiagCtxt, level: Level) -> Diag<'_sess, G>

Write out as a diagnostic out of `DiagCtxt`.

## Auto Trait Implementations§

§

### impl<'tcx> DynSend for InvalidMonomorphization<'tcx>

§

### impl<'tcx> DynSync for InvalidMonomorphization<'tcx>

§

### impl<'tcx> Freeze for InvalidMonomorphization<'tcx>

§

### impl<'tcx> !RefUnwindSafe for InvalidMonomorphization<'tcx>

§

### impl<'tcx> Send for InvalidMonomorphization<'tcx>

§

### impl<'tcx> Sync for InvalidMonomorphization<'tcx>

§

### impl<'tcx> Unpin for InvalidMonomorphization<'tcx>

§

### impl<'tcx> !UnwindSafe for InvalidMonomorphization<'tcx>

## Blanket Implementations§

source§

### impl<T> Aligned for T

source§

#### const ALIGN: Alignment = _

Alignment of `Self`.
source§

### impl<T> Any for T
where T: 'static + ?Sized,

source§

#### fn type_id(&self) -> TypeId

Gets the `TypeId` of `self`. Read more
source§

### impl<T> Borrow<T> for T
where T: ?Sized,

source§

#### fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
source§

### impl<T> BorrowMut<T> for T
where T: ?Sized,

source§

#### fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
source§

### impl<T, R> CollectAndApply<T, R> for T

source§

#### fn collect_and_apply<I, F>(iter: I, f: F) -> R
where I: Iterator<Item = T>, F: FnOnce(&[T]) -> R,

Equivalent to `f(&iter.collect::<Vec<_>>())`.

§

#### type Output = R

§

### impl<T> Filterable for T

§

#### fn filterable( self, filter_name: &'static str ) -> RequestFilterDataProvider<T, fn(_: DataRequest<'_>) -> bool>

Creates a filterable data provider with the given name for debugging. Read more
source§

### impl<T> From<T> for T

source§

#### fn from(t: T) -> T

Returns the argument unchanged.

source§

### impl<T> Instrument for T

source§

#### fn instrument(self, span: Span) -> Instrumented<Self>

Instruments this type with the provided `Span`, returning an `Instrumented` wrapper. Read more
source§

#### fn in_current_span(self) -> Instrumented<Self>

Instruments this type with the current `Span`, returning an `Instrumented` wrapper. Read more
source§

### impl<T, U> Into<U> for T
where U: From<T>,

source§

#### fn into(self) -> U

Calls `U::from(self)`.

That is, this conversion is whatever the implementation of `From<T> for U` chooses to do.

source§

### impl<P> IntoQueryParam<P> for P

source§

#### fn into_query_param(self) -> P

source§

### impl<T> MaybeResult<T> for T

§

#### type Error = !

source§

#### fn from(_: Result<T, <T as MaybeResult<T>>::Error>) -> T

source§

#### fn to_result(self) -> Result<T, <T as MaybeResult<T>>::Error>

§

### impl<T> Pointable for T

§

#### const ALIGN: usize = _

The alignment of pointer.
§

#### type Init = T

The type for initializers.
§

#### unsafe fn init(init: <T as Pointable>::Init) -> usize

Initializes a with the given initializer. Read more
§

#### unsafe fn deref<'a>(ptr: usize) -> &'a T

Dereferences the given pointer. Read more
§

#### unsafe fn deref_mut<'a>(ptr: usize) -> &'a mut T

Mutably dereferences the given pointer. Read more
§

#### unsafe fn drop(ptr: usize)

Drops the object pointed to by the given pointer. Read more
source§

### impl<T> Same for T

§

#### type Output = T

Should always be `Self`
source§

### impl<'tcx, T> ToPredicate<'tcx, T> for T

source§

#### fn to_predicate(self, _tcx: TyCtxt<'tcx>) -> T

source§

### impl<T, U> TryFrom<U> for T
where U: Into<T>,

§

#### type Error = Infallible

The type returned in the event of a conversion error.
source§

#### fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
source§

### impl<T, U> TryInto<U> for T
where U: TryFrom<T>,

§

#### type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
source§

#### fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.
§

### impl<V, T> VZip<V> for T
where V: MultiLane<T>,

§

#### fn vzip(self) -> V

source§

### impl<Tcx, T> Value<Tcx> for T
where Tcx: DepContext,

source§

#### default fn from_cycle_error( tcx: Tcx, cycle_error: &CycleError, _guar: ErrorGuaranteed ) -> T

source§

### impl<T> WithSubscriber for T

source§

#### fn with_subscriber<S>(self, subscriber: S) -> WithDispatch<Self>
where S: Into<Dispatch>,

Attaches the provided `Subscriber` to this type, returning a `WithDispatch` wrapper. Read more
source§

#### fn with_current_subscriber(self) -> WithDispatch<Self>

Attaches the current default `Subscriber` to this type, returning a `WithDispatch` wrapper. Read more
source§

### impl<'a, T> Captures<'a> for T
where T: ?Sized,

§

### impl<T> ErasedDestructor for T
where T: 'static,

§

### impl<T> MaybeSendSync for T
where T: Send + Sync,

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 64 bytes

Size for each variant:

- `BasicIntegerType`: 23 bytes
- `BasicFloatType`: 23 bytes
- `FloatToIntUnchecked`: 23 bytes
- `FloatingPointVector`: 23 bytes
- `FloatingPointType`: 23 bytes
- `UnrecognizedIntrinsic`: 15 bytes
- `SimdArgument`: 23 bytes
- `SimdInput`: 23 bytes
- `SimdFirst`: 23 bytes
- `SimdSecond`: 23 bytes
- `SimdThird`: 23 bytes
- `SimdReturn`: 23 bytes
- `InvalidBitmask`: 39 bytes
- `ReturnLengthInputType`: 47 bytes
- `SecondArgumentLength`: 47 bytes
- `ThirdArgumentLength`: 47 bytes
- `ReturnIntegerType`: 31 bytes
- `SimdShuffle`: 23 bytes
- `ReturnLength`: 39 bytes
- `ReturnElement`: 47 bytes
- `SimdIndexOutOfBounds`: 47 bytes
- `InsertedType`: 39 bytes
- `ReturnType`: 39 bytes
- `ExpectedReturnType`: 31 bytes
- `MismatchedLengths`: 31 bytes
- `MaskType`: 23 bytes
- `VectorArgument`: 31 bytes
- `CannotReturn`: 39 bytes
- `ExpectedElementType`: 47 bytes
- `ThirdArgElementType`: 31 bytes
- `UnsupportedSymbolOfSize`: 55 bytes
- `UnsupportedSymbol`: 47 bytes
- `CastFatPointer`: 23 bytes
- `ExpectedPointer`: 23 bytes
- `ExpectedUsize`: 23 bytes
- `UnsupportedCast`: 47 bytes
- `UnsupportedOperation`: 31 bytes
- `ExpectedVectorElementType`: 31 bytes